/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Wikipedia-Search for Mozilla firefox.
 *
 * The Initial Developer of the Original Code is Jean-Christophe Sirot.
 * Portions created by the Initial Developer are Copyright (C) 2004-2005
 * the Initial Developer. All Rights Reserved.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the LGPL or the GPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK *****  */

const PREFS_SERVICE = "@mozilla.org/preferences-service;1"
const WKPS_BRANCH = "wkps."

var pService = Components.classes[PREFS_SERVICE].getService(Components.interfaces.nsIPrefService);
var mpPrefs = pService.getBranch(WKPS_BRANCH);


function wikipediaSearch(e)
{
	var lang;
	var navType;
	var bg;

	try {
	  lang = mpPrefs.getCharPref("language");
	} catch (exp) {
	  lang = "en";
	}

        try {
	  navType = mpPrefs.getIntPref("navigation.type");
	} catch (exp) {
	  navType = 0;
	}

	try {
	  bg = mpPrefs.getBoolPref("navigation.background");
	} catch (exp) {
	  bg = false;
	}

	var bundle = document.getElementById("wkps-props");
	var array = new Array(2);
	array[0] = lang;
	array[1] = encodeURIComponent(_content.document.getSelection());
	var url = bundle.getFormattedString("wp.url", array);

	switch (navType) {

	case 0: // same window
	  window._content.document.location = url;
	  break;

	case 1: // another window
	  window.open(url);
	  break;

	case 3:
	  bg = true;

	case 2: // another tab
	  var browser = getBrowser();
	  var tab = browser.addTab(url, getReferrer(document));
	  window.content.focus();
	  if (!bg) {
	    browser.selectedTab = tab;
	  }
	  break;
	}
}
